package com.tsi.comm.server.process;

import com.tsi.app.common.utils.Counter;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
public abstract class AbstractTsiCvimProcess {

    protected int workers;
    protected List<Thread> threadList = new ArrayList<Thread>();
    protected List<AbstractTsiCvimWorker> workerList = new ArrayList<AbstractTsiCvimWorker>();

    protected long startTm, endTm;
    protected Counter counter = new Counter();

    public abstract boolean add(Object packet, int idx);
    public abstract void stop();
    public abstract void report();
}
